"""Log-transform the relevant columns for more accurate MI estimation."""

import matplotlib.pyplot as plt
import numpy as np
import pandas as pd

data = pd.read_hdf("smear-data.hdf5", "raw_data")

log_vars = ["3-25 nm", "25-100 nm", "100-1000 nm", "J 3-25 nm",
            "Glob", "H2SO4_prox", "NOx", "SO2", "CS"]
data[log_vars] = np.log10(np.maximum(1e-9, data[log_vars]))

# Uncomment the following if you want histograms of the scaled variables
#for col in data.columns:
#    plt.clf()
#    plt.hist(data[col], bins=50)
#    plt.savefig("Hist_" + col + ".png")

print("Variable availability in the time interval:")
for col in data.columns:
    print(f"   {pd.notna(data[col]).mean():.1%}  {col}")

data.to_hdf("scaled-data.hdf5", "scaled_data")
